package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.EmpresaPMArtespConfigDAO;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.EmpresaPMArtespConfig;

@Repository("empresaPMArtespConfigDAO")
public class EmpresaPMArtespConfigHibernateDAO extends GenericHibernateDAO<EmpresaPMArtespConfig, Integer>
		implements EmpresaPMArtespConfigDAO {

	@Autowired
	public EmpresaPMArtespConfigHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<EmpresaPMArtespConfig> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		return c.list();
	}

	@Override
	public EmpresaPMArtespConfig buscarPorEmpresa(Empresa empresa) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		c.add(Restrictions.eq("empresa", empresa));

		return (EmpresaPMArtespConfig) c.uniqueResult();
	}
}
